// 结构体内存分配
#include <stdio.h>

struct stu
{
    char sex;
    int age;
} lucy;

int main()
{
    // 是 8 而不是 5，因为结构体内存分配是按照最大的数据类型来分配的
    // 即使是 char 类型，也会分配 4 个字节
    // 但是如果是数组，就会按照数组的大小来分配
    // 例如：char name[10]，那么就会分配 10 个字节
    // 本题中，8 = 4 + 4
    printf("lucy size: %lu\n", sizeof(lucy));
    return 0;
}